Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

HCat Client Install failure (Ambari 2.5/ HDP 2.6)

HCat Client Install failure (Ambari 2.5/ HDP 2.6)

Explorer

HCat Client Install is failing with Ambari 2.5/ HDP 2.6 on slave nodes.

I am using Local repository.

yum replist :

repo id repo name status

HDP-2.6 HDP-2.6 232

HDP-UTILS-1.1.0.21 HDP-UTILS-1.1.0.2 164

ambari-2.5.0.3 ambari Version - ambari-2.5.0.3 12

I tried yum clean all. Didn't help

2017-05-30 19:50:41,748 - Repository['HDP-2.6'] {'base_url': 'http://xxx.net/hdp/centos7/HDP-2.6.0.3/', 'action': ['create'], 'components': [u'HDP', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0\nproxy=_none_', 'repo_file_name': 'HDP', 'mirror_list': None}
2017-05-30 19:50:41,755 - File['/etc/yum.repos.d/HDP.repo'] {'content': '[HDP-2.6]\nname=HDP-2.6\nbaseurl=http://xxx.net/hdp/centos7/HDP-2.6.0.3/\n\npath=/\nenabled=1\ngpgcheck=0\nproxy=_none_'}
2017-05-30 19:50:41,756 - Repository['HDP-UTILS-1.1.0.21'] {'base_url': 'http://xxx.net/hdp/centos7/HDP-UTILS-1.1.0.21/', 'action': ['create'], 'components': [u'HDP-UTILS', 'main'], 'repo_template': '[{{repo_id}}]\nname={{repo_id}}\n{% if mirror_list %}mirrorlist={{mirror_list}}{% else %}baseurl={{base_url}}{% endif %}\n\npath=/\nenabled=1\ngpgcheck=0\nproxy=_none_', 'repo_file_name': 'HDP-UTILS', 'mirror_list': None}
2017-05-30 19:50:41,758 - File['/etc/yum.repos.d/HDP-UTILS.repo'] {'content': '[HDP-UTILS-1.1.0.21]\nname=HDP-UTILS-1.1.0.21\nbaseurl=http://xxx.net/hdp/centos7/HDP-UTILS-1.1.0.21/\n\npath=/\nenabled=1\ngpgcheck=0\nproxy=_none_'}
2017-05-30 19:50:41,759 - Package['unzip'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-05-30 19:50:41,840 - Skipping installation of existing package unzip
2017-05-30 19:50:41,840 - Package['curl'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-05-30 19:50:41,854 - Skipping installation of existing package curl
2017-05-30 19:50:41,854 - Package['hdp-select'] {'retry_on_repo_unavailability': False, 'retry_count': 5}
2017-05-30 19:50:41,868 - Skipping installation of existing package hdp-select
2017-05-30 19:50:42,099 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2017-05-30 19:50:42,102 - Stack Feature Version Info: stack_version=2.6, version=None, current_cluster_version=None -> 2.6
2017-05-30 19:50:42,122 - Using hadoop conf dir: /usr/hdp/current/hadoop-client/conf
2017-05-30 19:50:42,136 - checked_call['rpm -q --queryformat '%{version}-%{release}' hdp-select | sed -e 's/\.el[0-9]//g''] {'stderr': -1}
Command aborted. Reason: 'Server considered task failed and automatically aborted it'

1 REPLY 1
Highlighted

Re: HCat Client Install failure (Ambari 2.5/ HDP 2.6)

MB

Please try to install on the same node manually and then retry from Ambari and see. Below are the commands:

yum clean all
yum install -v hive_2.6.0.3-hcatalog*
Don't have an account?
Coming from Hortonworks? Activate your account here